Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
sys-auth/polkit-0.108 build failing... Can't figure out why.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
johncrist1988
n00b
n00b


Joined: 02 Dec 2012
Posts: 10
Location: Peoria, AZ

PostPosted: Sun Dec 02, 2012 11:40 pm    Post subject: sys-auth/polkit-0.108 build failing... Can't figure out why. Reply with quote

http://pastebin.com/t7Dn4KeV

107 builds just fine but something is breaking 108 and I can't seem to figure out why.

http://pastebin.com/1HL2RYhF -- emerge --info
Back to top
View user's profile Send private message
mattia
n00b
n00b


Joined: 19 Sep 2005
Posts: 5

PostPosted: Mon Dec 03, 2012 10:57 am    Post subject: Reply with quote

Had the same problem.

Do not unmask spidermonkey 187.

Build spidermonkey 185-r2

I can't recall which program actually forced me to unmask spidermonkey 187, but there was one, so I did it. Installed a whole bunch of things, then polkit wouldn't build. So I masked 187 again (deleted the unmask entry), and voilà: polkit built, and everything on the system was happy.

Mat
Back to top
View user's profile Send private message
miket
Apprentice
Apprentice


Joined: 28 Apr 2007
Posts: 210
Location: Gainesville, FL, USA

PostPosted: Mon Dec 03, 2012 1:41 pm    Post subject: Reply with quote

mattia wrote:
Do not unmask spidermonkey 187.


Hah! My solution is to mask polit 0.107 and above. Requiring Javascript for a system-level function is just nuts.
Back to top
View user's profile Send private message
johncrist1988
n00b
n00b


Joined: 02 Dec 2012
Posts: 10
Location: Peoria, AZ

PostPosted: Wed Dec 05, 2012 4:02 pm    Post subject: Reply with quote

miket wrote:
mattia wrote:
Do not unmask spidermonkey 187.


Hah! My solution is to mask polit 0.107 and above. Requiring Javascript for a system-level function is just nuts.


Agreed, and I can't honestly tell you why I did that o.O I'm on a trip right now and can't test the suggestions here until the end of the week but I will certainly do so and let you know how it goes.

I can't remember what exactly called for 108 but something depended on it in ~arch trying to compile gnome.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum